define(['jquery', 'underscore', 'backbone', 'tpls', 'events'],
	function($, _, Backbone, Templates, Events) {
		var BackupView = Backbone.View.extend({
			tagName: "tr",
			template: Templates["backups/row"],
			events: {
				"click .delete-backup": "delete"
			},
			render: function() {
				this.$el.html(this.template(this.model.toJSON()));
				return this;
			},
			delete: function() {
        // ask for confirmation
        if (confirm("Are you sure?")) {

          // user confirmed, delete the backup
  				this.model.destroy();
  				this.remove();

          // trigger event that will cause the backup list to reload
          Events.trigger("backup:delete");
        }
			}
		});
		return BackupView;
	});
